Students - Create Or Update
Hozzon létre és vegyen fel egy új tanulót a megadott tesztkörnyezetbe, vagy frissítse egy meglévő tanuló adatait egy tesztkörnyezetben. Vegye figyelembe, hogy a tanulónak érvényes bérlővel kell rendelkeznie ahhoz, hogy elfogadja a labort, miután hozzáadta őket a laborhoz.
PUT https://management.azure.com/providers/Microsoft.Billing/billingAccounts/{billingAccountName}/billingProfiles/{billingProfileName}/invoiceSections/{invoiceSectionName}/providers/Microsoft.Education/labs/default/students/{studentAlias}?api-version=2021-12-01-preview
URI-paraméterek
| Name | In | Kötelező | Típus | Description |
|---|---|---|---|---|
|
billing
|
path | True |
string |
A számlázási fiók neve. |
|
billing
|
path | True |
string |
A számlázási profil neve. |
|
invoice
|
path | True |
string |
A számlaszakasz neve. |
|
student
|
path | True |
string |
A diák álnév. |
|
api-version
|
query | True |
string minLength: 1 |
A művelethez használni kívánt API-verzió. |
Kérelem törzse
| Name | Kötelező | Típus | Description |
|---|---|---|---|
| properties.budget | True |
Hallgatói költségvetés |
|
| properties.email | True |
string |
Tanulói e-mail |
| properties.expirationDate | True |
string (date-time) |
Az a dátum, amikor a tanuló lejár a laborból. |
| properties.firstName | True |
string |
Keresztnév |
| properties.lastName | True |
string |
Vezetéknév |
| properties.role | True |
Tanulói szerepkör |
|
| properties.subscriptionAlias |
string |
Előfizetés aliasa |
|
| properties.subscriptionInviteLastSentDate |
string (date-time) |
előfizetés-meghívás legutóbbi elküldött dátuma |
Válaszok
| Name | Típus | Description |
|---|---|---|
| 200 OK |
A 'StudentDetails' forrás frissítési művelete sikeres |
|
| 201 Created |
'StudentDetails' erőforrás sikeres műveletet eredményezett |
|
| Other Status Codes |
Azt a hibát írja le, ha a művelet nem sikeres. |
Biztonság
azure_auth
Azure Active Directory Oauth2-folyamat.
Típus:
oauth2
Folyamat:
implicit
Engedélyezési URL:
https://login.microsoftonline.com/common/oauth2/authorize
Hatókörök
| Name | Description |
|---|---|
| user_impersonation | a felhasználói fiók megszemélyesítése |
Példák
Student
Mintakérelem
PUT https://management.azure.com/providers/Microsoft.Billing/billingAccounts/{billingAccountName}/billingProfiles/{billingProfileName}/invoiceSections/{invoiceSectionName}/providers/Microsoft.Education/labs/default/students/{studentAlias}?api-version=2021-12-01-preview
{
"properties": {
"budget": {
"currency": "USD",
"value": 100
},
"email": "test@contoso.com",
"expirationDate": "2021-11-09T22:13:21.795Z",
"firstName": "test",
"lastName": "user",
"role": "Student"
}
}
Mintaválasz
{
"name": "{studentAlias}",
"type": "Microsoft.Education/Students",
"id": "/providers/Microsoft.Billing/billingAccounts/{billingAccountName}/billingProfiles/{billingProfileName}/invoiceSections/{invoiceSectionName}/providers/Microsoft.Education/labs/default/students/{studentAlias}",
"properties": {
"budget": {
"currency": "USD",
"value": 100
},
"effectiveDate": "2021-11-09T21:43:54.161Z",
"email": "test@contoso.com",
"expirationDate": "2022-11-09T21:43:54.161Z",
"firstName": "test",
"lastName": "user",
"role": "Student",
"status": "Active",
"subscriptionId": "000000000-0000-0000-0000-00000000000000"
}
}
{
"name": "{studentAlias}",
"type": "Microsoft.Education/Students",
"id": "/providers/Microsoft.Billing/billingAccounts/{billingAccountName}/billingProfiles/{billingProfileName}/invoiceSections/{invoiceSectionName}/providers/Microsoft.Education/labs/default/students/{studentAlias}",
"properties": {
"budget": {
"currency": "USD",
"value": 100
},
"effectiveDate": "2021-11-09T21:43:54.161Z",
"email": "test@contoso.com",
"expirationDate": "2022-11-09T21:43:54.161Z",
"firstName": "test",
"lastName": "user",
"role": "Student",
"status": "Active",
"subscriptionId": "000000000-0000-0000-0000-00000000000000"
}
}
Definíciók
| Name | Description |
|---|---|
| Amount |
Az összeg. |
|
created |
Az erőforrást létrehozó identitás típusa. |
|
Error |
A hibaválasz formátumát ismerteti. |
|
Error |
A hibaválasz azt jelzi, hogy a szolgáltatás nem tudja feldolgozni a bejövő kérést. Ennek okát a hibaüzenet adja meg. |
|
Student |
Tanulói adatok. |
|
Student |
Tanulói tesztkörnyezet állapota |
|
Student |
Tanulói szerepkör |
|
system |
Az erőforrás létrehozásával és utolsó módosításával kapcsolatos metaadatok. |
Amount
Az összeg.
| Name | Típus | Description |
|---|---|---|
| currency |
string |
Az értékhez használt pénznem típusa. |
| value |
number (float) |
Összegérték. |
createdByType
Az erőforrást létrehozó identitás típusa.
| Érték | Description |
|---|---|
| User | |
| Application | |
| ManagedIdentity | |
| Key |
ErrorResponse
A hibaválasz formátumát ismerteti.
| Name | Típus | Description |
|---|---|---|
| code |
string |
Hibakód |
| message |
string |
A művelet sikertelen voltát jelző hibaüzenet. |
ErrorResponseBody
A hibaválasz azt jelzi, hogy a szolgáltatás nem tudja feldolgozni a bejövő kérést. Ennek okát a hibaüzenet adja meg.
| Name | Típus | Description |
|---|---|---|
| error |
A hiba részletei. |
StudentDetails
Tanulói adatok.
| Name | Típus | Description |
|---|---|---|
| id |
string |
Az erőforrás teljes erőforrás-azonosítója. Example - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName} |
| name |
string |
Az erőforrás neve |
| properties.budget |
Hallgatói költségvetés |
|
| properties.effectiveDate |
string (date-time) |
A tanuló felvétele a laborba |
| properties.email |
string |
Tanulói e-mail |
| properties.expirationDate |
string (date-time) |
Az a dátum, amikor a tanuló lejár a laborból. |
| properties.firstName |
string |
Keresztnév |
| properties.lastName |
string |
Vezetéknév |
| properties.role |
Tanulói szerepkör |
|
| properties.status |
Tanulói tesztkörnyezet állapota |
|
| properties.subscriptionAlias |
string |
Előfizetés aliasa |
| properties.subscriptionId |
string |
Előfizetés azonosítója |
| properties.subscriptionInviteLastSentDate |
string (date-time) |
előfizetés-meghívás legutóbbi elküldött dátuma |
| systemData |
A createdBy és a modifiedBy adatokat tartalmazó Azure Resource Manager-metaadatok. |
|
| type |
string |
Az erőforrás típusa. Pl. "Microsoft.Compute/virtualMachines" vagy "Microsoft.Storage/storageAccounts" |
StudentLabStatus
Tanulói tesztkörnyezet állapota
| Érték | Description |
|---|---|
| Active |
Aktív |
| Disabled |
Fogyatékos |
| Expired |
Lejárt |
| Pending |
Függőben |
| Deleted |
Törölve |
StudentRole
Tanulói szerepkör
| Érték | Description |
|---|---|
| Student |
diák |
| Admin |
Admin |
systemData
Az erőforrás létrehozásával és utolsó módosításával kapcsolatos metaadatok.
| Name | Típus | Description |
|---|---|---|
| createdAt |
string (date-time) |
Az erőforrás-létrehozás időbélyege (UTC). |
| createdBy |
string |
Az erőforrást létrehozó identitás. |
| createdByType |
Az erőforrást létrehozó identitás típusa. |
|
| lastModifiedAt |
string (date-time) |
Az erőforrás utolsó módosításának időbélyege (UTC) |
| lastModifiedBy |
string |
Az erőforrást legutóbb módosító identitás. |
| lastModifiedByType |
Az erőforrást legutóbb módosító identitás típusa. |